import { InferredVariableType, VariableDefinitions, VariableKey } from '@devcycle/types';
import { DVCVariable } from '@devcycle/js-client-sdk';
export declare const useVariable: <K extends VariableKey, ValueType extends VariableDefinitions[K]>(key: K, defaultValue: ValueType) => DVCVariable<ValueType>;
export declare const useVariableValue: <K extends VariableKey, ValueType extends VariableDefinitions[K]>(key: K, defaultValue: ValueType) => InferredVariableType<K, ValueType>;
export default useVariableValue;
